<? $time_units = array(1 => __('minutes'), 2 => __('hours'), 3 => __('days')) ?>
<? $travel_time_units = array(2 => __('hours'), 3 => __('days')) ?>
<? $DEFINITIONS = Zend_Registry::get('defines'); ?>
<? $currencies = Model_Currencies::getAllAssoc(); ?>
<?
    $CurrentCurrency = [
        'title' => !empty($_COOKIE['currency']) ? $_COOKIE['currency'] : "USD"
    ];
    $CurrentCurrency['id'] = array_search($CurrentCurrency['title'], $currencies);

	$types = [
		'additional-hour' => __('pv2_label_any_additional_hour'),
		'overnight' => __('pv2_label_overnight'),
		'dinner-date' => __('pv2_label_dinner_date'),
		'weekend' => __('pv2_label_weekend')
	];
?>

<!-- Hidden -->

<div id="curr_currency-incall" class="d-none">
    <?= Cubix_Application::getById()->currency_id ?>
</div>
<div id="currencies_json" class="d-none">
    <?= json_encode($currencies); ?>
</div>
<div id="time_units_json" class="d-none">
    <?= json_encode($time_units) ?>
</div>
<div id="travel_rates_json" class="d-none">
    <?= json_encode($this->data['rates']['travel']) ?>
</div>
<div id="incall_rates_json" class="d-none">
    <?= json_encode($this->data['rates']['incall']) ?>
</div>
<div id="outcall_rates_json" class="d-none">
    <?= json_encode($this->data['rates']['outcall']) ?>
</div>
<div id="curr_currency-outcall" class="d-none">
    <?= Cubix_Application::getById()->currency_id ?>
</div>

<!-- / -->

<div class="form-wrapper hash-sesction prices-page" data-scroll-anchor="prices">
    <form class="form ajax-form" action="<?= $this->getLink('edit-profile')?>?step=prices&escort=<?= $this->escort_id ?>"
        method="post">

        <input type="hidden" name="escort" value="<?= $this->escort_id ?>" />
        <div class="section-subtitle uppercase mt-2"><?= __('pv2_section_incall_rates') ?></div>

        <!-- INCALL -->
        <div class="box-section inputs-container">
            <p class="text-grey"><?= __('set_your_incall_rates') ?></p>
            <div class="clear mb-10"></div>
			
			<div class="d-flex" id="incall-rate-bar">
                <div class="group-inputs smaller d-flex">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_time') ?></label>
                        <input class="time-value numbers-only" maxlength="3" type="text" name="countryInput"
                            placeholder="<?= __('pv2_label_time') ?>">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none timestamp-value">
								<? foreach ( $time_units as $unit => $title ): ?>
                                <option value="<?= $unit ?>" ><?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="incallDuration" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase pristine">- - -</span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="incallDuration">
                                <? foreach ( $time_units as $unit => $title ): ?>
                                <li data-val="<?= $unit ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="group-inputs smaller d-flex">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_amount') ?></label>
                        <input class="amount-value numbers-only" maxlength="6" type="text" name="countryInput"
                            placeholder="<?= __('pv2_label_amount') ?>...">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none currency-value">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <option value="<?= $id ?>" <?= $title == $CurrentCurrency['title'] ? 'selected' : '' ?>>
                                    <?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="incallCurrency" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase"><?= $CurrentCurrency['title'] ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="incallCurrency">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                </div>
			</div>
			
            <div class="clear mb-20"></div>
            <div class="d-flex justify-content-end">
                <div class="btn btn-blue-dark uppercase add-incall-trigger price-action-trigger rate-add-btn" data-container=".incall-rates-container" data-target="#incall-rate-bar" data-type="incall"><?= __('add_incall_rates') ?></div>
            </div>
            <div class="clear mb-10"></div>
            <p class="text-grey"><?= __('pv2_label_your_incall_rates') ?></p>
            <div class="incall-rates-container">

                <? $incall_rates_options = []; ?>
                <?php foreach ($this->data['rates']['incall'] as $key=>$rate) :?>
                <?php if(isset($rate['time'])):?>

                <div class="incall-rates rate-item justify-content-between" id="incall-rates-<?= $rate['time'].'-'.$rate['unit']?>">
                    <div class="incall-name"> <?= $rate['time'].' '.$time_units[$rate['unit']]?> <span
                            class="text-grey">(<?= $rate['price'].' '.$currencies[$rate['currency']]?>)</span></div>
                    <div class="incall-remove remove-item text-grey d-flex align-items-center remove-rate-item" name="incall">
                        <p class="uppercase">remove</p>
                        <i class="fa fa-times"></i>
                    </div>

                    <input type="hidden"
                        value='<?= json_encode(array('time'=>$rate['time'],'unit'=>$rate['unit'],'price'=>$rate['price'],'currency'=>$rate['currency']))?>'
                        name="rates[incall][]" />
                </div>

                <?php else: ?>
                <? $incall_rates_options[$rate['type']] = $rate ?>
                <?php endif;?>
                <?php endforeach;?>

            </div>

			<div class="clear mb-30"></div>
			<? foreach($types as $key => $val): ?>
			<? $sci = isset($incall_rates_options[$key]) ? $incall_rates_options[$key]['currency'] : $CurrentCurrency['id']; // SCI = SELECTED CURRENCY INDEX ?>

            <div class="d-flex justify-content-between align-items-center flex-wrap flex-md-nowrap" data-type="<?= $key ?>">
				<input type="hidden" class="calltype-metadata" value='<?= json_encode(array('type'=>$key,'price'=>$incall_rates_options[$key]['price'],'currency'=>$incall_rates_options[$key]['currency']))?>' name="rates[incall][]" />

                <p><?= $val ?></p>
                <div class="d-flex div-2-cols group-inputs smaller">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_amount') ?></label>
                        <input maxlength="6"  class="amount-input numbers-only" value="<?= $incall_rates_options[$key]['price'] ?>" type="text" placeholder="<?= __('pv2_label_amount') ?>...">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none currency-select">
								<? foreach ( $currencies as $id => $title ): ?>
								<? if($id == $sci) $primary_currency = $title; ?>
                                <option value="<?= $id ?>" <?= $id == $sci ? 'selected' : '' ?>>
                                    <?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="income-<?= $key ?>-dropdown" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase"><?= $primary_currency ? $primary_currency : $CurrentCurrency['title'] ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="income-<?= $key ?>-dropdown">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach; ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <? endforeach; ?>

        </div>
        <!-- / -->



        <!-- OUTCALL -->
        <div class="section-subtitle uppercase mt-2"><?= __('pv2_section_outcall_rates') ?></div>

        <div class="box-section inputs-container py-0">
            <p class="text-grey"> <?= __('set_your_outcall_rates') ?></p>
            <div class="clear mb-10"></div>
            <div class="d-flex" id="outcall-rate-bar">
                <div class="group-inputs smaller d-flex">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_time') ?></label>
                        <input class="time-value numbers-only" maxlength="3" type="text" name="countryInput" placeholder="Time">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none timestamp-value">
                                <? foreach ( $time_units as $unit => $title ): ?>
                                <option value="<?= $unit ?>"><?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="outcallDuration" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase">- - -</span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="outcallDuration">
                                <? foreach ( $time_units as $unit => $title ): ?>
                                <li data-val="<?= $unit ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach; ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="group-inputs smaller d-flex">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_amount') ?>...</label>
                        <input class="amount-value numbers-only" maxlength="6" type="text" name="countryInput"
                            placeholder="<?= __('pv2_label_amount') ?>...">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none currency-value">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <option value="<?= $id ?>" <?= $title == $CurrentCurrency['title'] ? 'selected' : '' ?>>
                                    <?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="outcallCurrency" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase"><?= $CurrentCurrency['title'] ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="outcallCurrency">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clear mb-20"></div>
            <div class="d-flex justify-content-end">
                <div class="btn btn-blue-dark uppercase add-outcall-trigger price-action-trigger rate-add-btn" data-container=".outcall-rates-container" data-target="#outcall-rate-bar" data-type="outcall" >
                    <?= __('add_outcall_rates') ?></div>
            </div>
            <div class="clear mb-30"></div>
            <p class="text-grey"><?= __('pv2_label_your_outcall_rates') ?>:</p>
            <div class="clear mb-10"></div>

            <div class="outcall-rates-container">
				<? $outcall_rates_options = []; ?>		
                <?php foreach ($this->data['rates']['outcall'] as $key=>$rate) :?>
                <?php if(isset($rate['time'])):?>

                <div class="outcall-rates rate-item justify-content-between" id="outcall-rates-<?= $rate['time'].'-'.$rate['unit']?>">
                    <div class="outcall-name"><?= $rate['time']?> <?= $time_units[$rate['unit']]?> <span
                            class="text-grey">(<?= $rate['price']?> <?= $currencies[$rate['currency']]?>)</span></div>
                    <div class="outcall-remove remove-item text-grey d-flex align-items-center remove-rate-item" name="outcall">
                        <p class="uppercase">remove</p>
                        <i class="fa fa-times"></i>
                    </div>
                </div>
                <input type="hidden"
                    value='<?= json_encode(array('time'=>$rate['time'],'unit'=>$rate['unit'],'price'=>$rate['price'],'currency'=>$rate['currency']))?>'
                    name="rates[outcall][]" />


                <?php else:?>
                	<? $outcall_rates_options[$rate['type']] = $rate; ?>
                	
                <?php endif;?>
                <?php endforeach;?>
			</div>
			

			<? foreach($types as $key => $val): ?>
			<? $sci = isset($outcall_rates_options[$key]) ? $outcall_rates_options[$key]['currency'] : $CurrentCurrency['id']; // SCI = SELECTED CURRENCY INDEX ?>
            <div class="d-flex justify-content-between align-items-center call-option-row div-2-cols" data-type="<?= $key ?>">
				<input type="hidden" class="calltype-metadata" value='<?= json_encode(array('type'=>$key,'price'=>$outcall_rates_options[$key]['price'],'currency'=>$outcall_rates_options[$key]['currency']))?>' name="rates[outcall][]" />

                <p><?= $val ?></p>
                <div class="d-flex div-2-cols  group-inputs smaller">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_amount') ?></label>
                        <input maxlength="6"  class="amount-input numbers-only" value="<?= $outcall_rates_options[$key]['price'] ?>" type="text" placeholder="<?= __('pv2_label_amount') ?>...">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <? $primary_currency = null; ?>
                        <div class="dropdown">
                            <select class="single-option-select d-none currency-select">
								<? foreach ( $currencies as $id => $title ): ?>
								<? if($id == $sci) $primary_currency = $title; ?>
                                <option value="<?= $id ?>" <?= $id == $sci ? 'selected' : '' ?>>
                                    <?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="outcome-<?= $key ?>-dropdown" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase"><?= $primary_currency ? $primary_currency : $CurrentCurrency['title'] ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="outcome-<?= $key ?>-dropdown">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach; ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <? endforeach; ?>

        </div>
        <!-- / -->



        <!-- Travel -->
        <div class="section-subtitle uppercase mt-2"><?= __('travel_rates_2') ?></div>

        <div class="box-section inputs-container common-services">
            <p class="text-grey"><?= __('set_your_travel_rates') ?></p>
            <div class="clear mb-10"></div>
            <div class="d-flex" id="travel-rate-bar">
                <div class="group-inputs smaller d-flex">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_time') ?></label>
                        <input class="time-value numbers-only" maxlength="3" type="text" name="countryInput"
                            placeholder="<?= __('pv2_label_time') ?>">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none timestamp-value">
                                <? foreach ( $time_units as $unit => $title ): ?>
                                <option value="<?= $unit ?>"><?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="travelDuration-dropdown" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase">- - -</span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="travelDuration-dropdown">
                                <? foreach ( $time_units as $unit => $title ): ?>
                                <li data-val="<?= $unit ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="group-inputs smaller d-flex">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_amount') ?>...</label>
                        <input class="amount-value numbers-only" maxlength="6" type="text" name="countryInput"
                            placeholder="<?= __('pv2_label_amount') ?>...">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none currency-value">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <option value="<?= $id ?>" <?= $title == $CurrentCurrency['title'] ? 'selected' : '' ?>>
                                    <?= $title ?>><?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="travelCurrency-dropdown" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase"><?= $CurrentCurrency['title'] ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="travelCurrency-dropdown">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clear mb-20"></div>
            <div class="d-flex justify-content-end">
                <div class="btn btn-blue-dark uppercase add-travel-trigger price-action-trigger rate-add-btn" data-container=".travel-rates-container" data-target="#travel-rate-bar" data-type="travel">
                    <?= __('add_travel_rates') ?></div>
            </div>
            <div class="clear mb-30"></div>
            <p class="text-grey"><?= __('travel_rates_2') ?></p>
            <div class="clear mb-10"></div>


            <div class="travel-rates-container">
                <?php foreach ($this->data['rates']['travel'] as $key=>$rate) :?>
                <?php if(isset($rate['time'])):?>

                <div class="travel-rates rate-item justify-content-between" id="travel-rates-<?= $rate['time'].'-'.$rate['unit']?>">
                    <div class="travel-name"><?= $rate['time']?> <?= $time_units[$rate['unit']] ?> <span
                            class="text-grey">(<?= $rate['price']?> <?= $currencies[$rate['currency']]?>)</span></div>
                    <div class="travel-remove remove-item text-grey d-flex align-items-center remove-rate-item" name="travel">
                        <p class="uppercase">remove</p>
                        <i class="fa fa-times"></i>
                    </div>
                </div>
                <input type="hidden"
                    value='<?= json_encode(array('time'=>$rate['time'],'unit'=>$rate['unit'],'price'=>$rate['price'],'currency'=>$rate['currency']))?>'
                    name="rates[travel][]" />

				<?php else:?>
	                <? $travel_option = $rate ?>
                <?php endif;?>
                <?php endforeach;?>
            </div>


            <div class="clear mb-30"></div>
            <div class="d-flex justify-content-between align-items-center div-2-cols">
                <p><?= __('weekend_48hrs') ?> </p>
                <div class="d-flex div-2-cols  group-inputs smaller call-option-row" data-type="weekend">
				
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_amount') ?></label>
                        <input type="text" class="amount-input numbers-only" maxlength="6" value="<?= $travel_option['price'] ?>" placeholder="<?= __('pv2_label_amount') ?>...">

                        <input type="hidden" class="calltype-metadata"
						value='<?= json_encode(array('type'=>'weekend','price'=>$travel_option['price'],'currency'=>$travel_option['currency']))?>'
						name="rates[travel][]" />
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none currency-select">
								<? foreach ( $currencies as $id => $title ): ?>
								<? if($travel_option['currency'] == $id) $primary_travel_currency = $title ?>
                                <option value="<?= $id ?>" <?= $title == $CurrentCurrency['title'] ? 'selected': '' ?>>
                                    <?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="tw-dropdown" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase"><?= $primary_travel_currency ? $primary_travel_currency : $CurrentCurrency['title'] ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="tw-dropdown">
                                <? foreach ( $currencies as $id => $title ): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <? $data = $this->data['conditions']; ?>

            <div class="d-flex justify-content-between align-items-center div-2-cols">
                <p><?= __('minimum_booking_time')?></p>
                <div class="d-flex div-2-cols  group-inputs smaller">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('unit')?></label>
                        <input id="min_book_time" class="numbers-only" maxlength="3" type="text" name="min_book_time" value="<?= $data['min_book_time'] ?>" placeholder="<?= $data['min_book_time'] ?>">
                    </div>
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none" name="min_book_time_unit">
								<? foreach ($DEFINITIONS['hours_days_options'] as $unit => $title): ?>
								<? if($data['min_book_time_unit'] == $unit) $primary_min_book_time = $title ?>
                                <option value="<?= $unit ?>" <?= $data['min_book_time_unit'] == $unit ? 'selected="selected"' : '' ?> ><?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="min_book_time_dropdown" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase">
									<?= $primary_min_book_time ? $primary_min_book_time : '- - -' ?>
								</span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="min_book_time_dropdown">
                                <? foreach ($DEFINITIONS['hours_days_options'] as $unit => $title): ?>
                                <li data-val="<?= $unit ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="d-flex justify-content-between align-items-center div-2-cols">
                <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill mr-20">
                    <div class="dropdown">
                        <select class="single-option-select d-none" name="has_down_pay">
                            <? foreach ($DEFINITIONS['y_n_neg_options'] as $val => $title): ?>
                            <? if($data['has_down_pay'] == $val) $primary_down_payment = $title ?>
                            <option value="<?= $val ?>"
                                <?= $data['has_down_pay'] == $val ? 'selected="selected"' : '' ?>><?= $title ?></option>
                            <? endforeach; ?>
                        </select>
                        <a class="dropdown-toggle" id="down_payment_dropdown" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="false">
                            <label><?= __('down_payment_required')?></label>
                            <span class="dropdown-toggle-val uppercase">
                                <?= $primary_down_payment ? $primary_down_payment : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?>
                            </span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                            data-type="down_payment_dropdown">
                            <? foreach ($DEFINITIONS['y_n_neg_options'] as $val => $title): ?>
                            <li data-val="<?= $val ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                            <? endforeach; ?>
                        </ul>
                    </div>
                </div>
                <div class="d-flex div-2-cols  group-inputs smaller">
                    <div class="autocomplete-container flex-grow-1 mr-20" autocomplete="off">
                        <label class="mobile"><?= __('pv2_label_amount') ?></label>
						<input type="text" class="numbers-only" maxlength="6" placeholder="<?= __('pv2_label_amount') ?>..." name="down_pay" value="<?= $data['down_pay'] ?>">
                    </div>

                    <? $dpr_currency = ! empty($data['down_pay_cur']) ? $data['down_pay_cur'] : $CurrentCurrency['title'] ?>
                    
                    <div class="d-flex dropdown-selection single-option no-custom-css mr-20 flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none" name="down_pay_cur">
                                <option value="<?= PERCENT ?>" <? if ($data['down_pay_cur'] == PERCENT): ?>selected="selected"<? endif; ?>>%</option>

                                <? foreach ( $currencies as $id => $title ): ?>
                                <? if($dpr_currency != $CurrentCurrency['title'] && $id == $dpr_currency) $primary_dpr_currency = $title;  ?>

                                <option value="<?= $id ?>" <?= $dpr_currency == $title ? 'selected' : '' ?>>
                                    <?= $title ?></option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="down_payment_currency_dropdown" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <span class="dropdown-toggle-val uppercase">
                                    <?
                                        if( $data['down_pay_cur'] == PERCENT ) echo '%';
                                        elseif( $primary_dpr_currency ) echo $primary_dpr_currency;
                                        else echo $CurrentCurrency['title'];
                                    ?>
                                </span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                data-type="down_payment_currency_dropdown">
                                <li data-val="<?= PERCENT ?>"><a href="javascript:void(0)">%</a></li>

                                <? foreach ( $currencies as $id => $title ): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                                <? endforeach; ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="d-flex justify-content-between align-items-center">
                <div
					class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                    <div class="dropdown">
                        <select class="single-option-select d-none" name="reservation">
                            <? foreach ($DEFINITIONS['flight_reservation_by'] as $val => $title): ?>
                            <? if($data['reservation'] == $val) $primary_flight_reserve = $title ?>
                            	<option value="<?= $val ?>" <?= $data['reservation'] == $val ? 'selected' : '' ?>><?= $title ?></option>
                            <? endforeach; ?>
                        </select>
                        <a class="dropdown-toggle" id="flight_reservation_dropdown" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="false">
                            <label><?= __('flight_reservation_done_by')?></label>
                            <span class="dropdown-toggle-val uppercase">
                                <?= $primary_flight_reserve ? $primary_flight_reserve : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?>
                            </span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                            data-type="flight_reservation_dropdown">
                            <? foreach ($DEFINITIONS['flight_reservation_by'] as $val => $title): ?>
                            <li data-val="<?= $val ?>"><a href="javascript:void(0)"><?= $title ?></a></li>
                            <? endforeach; ?>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="clear mb-10"></div>
            <div class="align-items-center flex-fill">
                <p class="text-grey"><?= __('payment_methods')?></p>

                <? isset($data['travel_payment_methods'][0]) ? $pm = $data['travel_payment_methods'][0] : $pm = array(); ?>
                <? $payment_types = [ PM_CASH, PM_MONEYGRAM, PM_WESTERN_UNION, PM_PAYPAL, PM_BANK_WIRE, PM_CREDIT_CARD, PM_OTHER ]; ?>

                <div class="p-0 box-section keywords-section d-flex flex-wrap">
                    <? foreach($payment_types as $item): ?>
                    <div class="btn btn-grey button-tap <?= in_array($item, $pm) ? 'tapped' : '' ?>">
                        <?
                            if($DEFINITIONS['payment_method_options'][$item] == 'Credit Card') {
                                echo __('credit_card');
                            } elseif ($DEFINITIONS['payment_method_options'][$item] == 'Cash') {
                                echo __('cash');
                            } else {
                                echo $DEFINITIONS['payment_method_options'][$item];
                            }
                         ?>
						<input type="checkbox" class="d-none" id="travel_payment_method_<?= $item ?>"
							<?= in_array($item, $pm) ? 'checked' : '' ?>
                            name="travel_payment_method[<?= $item ?>]" value="<?= $item ?>" <? in_array($item, $pm)
                            ? 'checked' : '' ?> >
                    </div>
                    <? endforeach; ?>
                </div>

            </div>

        </div>
        <!-- / -->


    <div class="d-flex align-items-center bottom-actions-panel">
        <a class="uppercase text-grey mr-30 discard"><?= __('reset') ?></a>
        <button class="btn btn-big btn-brown btn-bold uppercase submit"><?= __('pv2_save_changes') ?></button>
    </div>
    <div class="clear mb-40"></div>

    </form>
</div>